FROM java:8-jre

MAINTAINER jiayuepowertech

RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime

RUN mkdir -p /ipfcst-reportquery

WORKDIR /ipfcst-reportquery

EXPOSE 9005

ADD ./ipfcst-reportquery/ipfcst-reportquery.jar ./

CMD sleep 25;java -Xms128m -Xmx256m -Djava.security.egd=file:/dev/./urandom -jar ipfcst-reportquery.jar